Package org.springframework.http.server.reactive

# Interface HttpHandler

All Known Implementing Classes:
  `ContextPathCompositeHandler`, `HttpWebHandlerAdapter`

public interface HttpHandler
Lowest level contract for reactive HTTP request handling that serves as a common denominator across different runtimes.

Higher-level, but still generic, building blocks for applications such as `WebFilter`, `WebSession`, `ServerWebExchange`, and others are available in the `org.springframework.web.server` package.

Application level programming models such as annotated controllers and functional handlers are available in the `spring-webflux` module.

Typically an `HttpHandler` represents an entire application with higher-level programming models bridged via `WebHttpHandlerBuilder`. Multiple applications at unique context paths can be plugged in with the help of the `ContextPathCompositeHandler`.

Since:
  5.0
Author:
  Arjen Poutsma, Rossen Stoyanchev
See Also:
  - `ContextPathCompositeHandler`

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
`handle(ServerHttpRequest request, ServerHttpResponse response)`
Handle the given request and write to the response.

## Method Details

### handle

reactor.core.publisher.Mono<Void> handle(ServerHttpRequest request, ServerHttpResponse response)
Handle the given request and write to the response.

Parameters:
  `request` - current request
  `response` - current response
Returns:
  indicates completion of request handling